﻿@page "/planetsearch"

@using FIOAPIWeb.Components.PlanetSearch

@inject ClipboardService Clipboard
@inject Blazored.LocalStorage.ILocalStorageService LocalStorage
@inject ISnackbar Snackbar
@inject NavigationManager NavManager

<style>
    .gap-3 {
        gap: 0px;
    }

    .mud-container-maxwidth-md {
        max-width: none;
    }

    .mud-input-control-input-container {
        max-width: 225px;
    }

    .mud-table-dense {
        padding: 0px;
        padding-inline-start: 0px;
        padding-inline-end: 0px;
        white-space:nowrap;
    }

    .mud-table-cell {
        padding: 0px;
    }

    .mud-typography-body1 {
        white-space:nowrap;
        font-size: 14px;
    }

</style>

<LoadingWrapper @bind-ProgressCount="CurrentProgress" TotalProgress="2">
    <MudText Typo="Typo.h5">Planet Search</MudText>
    <MudGrid Justify="Justify.Center">
        <MudItem xs="2" >
            <ResourceSelectionComponent @bind-SelectedMaterialTickers="SelectedMaterialTickers" PlanetMaterialTickers="PlanetMaterialTickers" />
            <br />
            <ConcentrationThresholdComponent @bind-ConcentrationThreshold="ConcentrationThreshold" />
            <br />
            <ProductionEfficiencyComponent @bind-ProductionEfficiency="ProductionEfficiency" />
        </MudItem>
        <MudItem xs="2">
            <PlanetSettingsComponent @bind-Fertile="Fertile"
                                     @bind-LocalMarket="LocalMarket"
                                     @bind-COGC="COGC"
                                     @bind-Warehouse="Warehouse"
                                     @bind-AdminCenter="AdminCenter"
                                     @bind-Shipyard="Shipyard" />
        </MudItem>
        <MudItem xs="2">
            <MatchPlanetSettingsComponent @bind-Rocky="Rocky"
                                          @bind-Gaseous="Gaseous"
                                          @bind-LowGravity="LowGravity"
                                          @bind-HighGravity="HighGravity"
                                          @bind-LowPressure="LowPressure"
                                          @bind-HighPressure="HighPressure"
                                          @bind-LowTemperature="LowTemperature"
                                          @bind-HighTemperature="HighTemperature" />
        </MudItem>
        <MudItem xs="5">
            <PlanetPreviewComponent ProductionEfficiency="@ProductionEfficiency" Resources="SelectedPlanet?.Resources" />
        </MudItem>
        <MudItem xs="12">
            <AllPlanetsTableComponent AllPlanets="AllPlanets"
                                      @bind-SelectedPlanet="SelectedPlanet"
                                      @bind-SearchFilter="SearchFilter"
                                      PlanetSearchState="PlanetSearchState"
                                      ProductionEfficiency="ProductionEfficiency"
                                      ExchangeLocationNames="ExchangeLocationNames" />
        </MudItem>
    </MudGrid>
</LoadingWrapper>